%{?nodejs_find_provides_and_requires}
%global enable_tests 0
%global npm_name handlebars
Name:		        nodejs-%{npm_name}
Version:	        4.0.13
Release:	        2
Summary:	        Mustache extension for Node.js
License:	        MIT
URL:                    http://handlebarsjs.com/
Source0:                https://registry.npmjs.org/handlebars/-/handlebars-%{version}.tgz
Patch0:                 CVE-2021-23383.patch
Requires:            	npm(uglify-js) 	npm(optimist)
BuildRequires:       	npm(uglify-js) 	npm(optimist) 	nodejs-devel 	nodejs-packaging
BuildArch:	        noarch
ExclusiveArch:          %{ix86} x86_64 %{arm} noarch
ExclusiveArch:	        %{nodejs_arches} noarch
%description
Handlebars.js is an extension to the Mustache templating language created by
Chris Wanstrath. Handlebars.js and Mustache are both logicless templating
languages that keep the view and the code separated like we all know they should
be.

%prep
%setup -q -n package
rm -rf node_modules
%nodejs_fixdep optimist '0.x'
%nodejs_fixdep source-map '^0.5.2'
%nodejs_fixdep async
%patch0 -p1

%build

%install
mkdir -p %{buildroot}%{_bindir}
mkdir -p %{buildroot}%{nodejs_sitelib}/handlebars
chmod a+x bin/handlebars
cp -rp bin dist package.json lib runtime.js %{buildroot}/%{nodejs_sitelib}/handlebars
ln -s %{nodejs_sitelib}/handlebars/bin/handlebars \
      %{buildroot}%{_bindir}
%nodejs_symlink_deps

%check
%if 0%{?enable_tests}
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
grunt
%endif

%files
%{!?_licensedir:%global license %%doc}
%license LICENSE
%doc README.markdown release-notes.md
%{nodejs_sitelib}/handlebars/
%{_bindir}/handlebars

%changelog
* Fri May 21 2021 wutao <wutao61@huawei.com> - 4.0.13-2
- fix CVE-2021-23383

* Thu Aug 20 2020 Anan Fu <fuanan3@huawei.com> - 4.0.13-1
- package init
